diff --git a/changelog b/changelog
index 29750e1..4b454b8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080421 tpd src/input/schaum16.input show Schaums-Axiom equivalence
+20080421 tpd src/input/schaum15.input show Schaums-Axiom equivalence
+20080421 tpd src/input/schaum14.input show Schaums-Axiom equivalence
 20080420 tpd src/input/schaum13.input show Schaums-Axiom equivalence
 20080419 tpd src/input/schaum12.input show Schaums-Axiom equivalence
 20080418 tpd src/input/schaum11.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum14.input.pamphlet b/src/input/schaum14.input.pamphlet
index 532a38a..3452b30 100644
--- a/src/input/schaum14.input.pamphlet
+++ b/src/input/schaum14.input.pamphlet
@@ -19,7 +19,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 12
+--S 1
 aa:=integrate(1/(x^3+a^3),x)
 --R 
 --R
@@ -32,6 +32,41 @@ aa:=integrate(1/(x^3+a^3),x)
 --R                                     6a \|3
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/(6*a^2)*log((x+a)^2/(x^2-a*x+a^2))+1/(a^2*sqrt(3))*atan((2*x-a)/(a*sqrt(3)))
+--R
+--R             2           2                       +-+
+--R            x  + 2a x + a       +-+     (2x - a)\|3
+--R        log(--------------) + 2\|3 atan(------------)
+--R              2          2                   3a
+--R             x  - a x + a
+--R   (2)  ---------------------------------------------
+--R                               2
+--R                             6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                                                  2           2
+--R               2          2                      x  + 2a x + a
+--R        - log(x  - a x + a ) + 2log(x + a) - log(--------------)
+--R                                                   2          2
+--R                                                  x  - a x + a
+--R   (3)  --------------------------------------------------------
+--R                                     2
+--R                                   6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4      14:299 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.300~~~~~$\displaystyle
@@ -43,7 +78,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 12
+--S 5
 aa:=integrate(x/(x^3+a^3),x)
 --R 
 --R
@@ -56,6 +91,39 @@ aa:=integrate(x/(x^3+a^3),x)
 --R                                    6a\|3
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 6
+bb:=1/(6*a)*log((x^2-a*x+a^2)/(x+a)^2)+1/(a*sqrt(3))*atan((2*x-a)/(a*sqrt(3)))
+--R
+--R              2          2                       +-+
+--R             x  - a x + a       +-+     (2x - a)\|3
+--R        log(--------------) + 2\|3 atan(------------)
+--R             2           2                   3a
+--R            x  + 2a x + a
+--R   (2)  ---------------------------------------------
+--R                              6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+cc:=aa-bb
+--R
+--R                                                 2          2
+--R             2          2                       x  - a x + a
+--R        log(x  - a x + a ) - 2log(x + a) - log(--------------)
+--R                                                2           2
+--R                                               x  + 2a x + a
+--R   (3)  ------------------------------------------------------
+--R                                  6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 8      14:300 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.301~~~~~$\displaystyle
@@ -66,7 +134,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 12
+--S 9
 aa:=integrate(x^2/(x^3+a^3),x)
 --R 
 --R
@@ -76,6 +144,23 @@ aa:=integrate(x^2/(x^3+a^3),x)
 --R              3
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 10
+bb:=1/3*log(x^3+a^3)
+--R
+--R             3    3
+--R        log(x  + a )
+--R   (2)  ------------
+--R              3
+--R                                                     Type: Expression Integer
+--E
+
+--S 11     14:301 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.302~~~~~$\displaystyle
@@ -86,7 +171,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 12
+--S 12
 aa:=integrate(1/(x*(x^3+a^3)),x)
 --R 
 --R
@@ -97,6 +182,41 @@ aa:=integrate(1/(x*(x^3+a^3)),x)
 --R                   3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 13
+bb:=1/(3*a^3)*log(x^3/(x^3+a^3))
+--R
+--R                3
+--R               x
+--R        log(-------)
+--R             3    3
+--R            x  + a
+--R   (2)  ------------
+--R               3
+--R             3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14
+cc:=aa-bb
+--R
+--R                                           3
+--R               3    3                     x
+--R        - log(x  + a ) + 3log(x) - log(-------)
+--R                                        3    3
+--R                                       x  + a
+--R   (3)  ---------------------------------------
+--R                            3
+--R                          3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15     14:302 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.303~~~~~$\displaystyle
@@ -108,7 +228,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 12
+--S 15
 aa:=integrate(1/(x^2*(x^3+a^3)),x)
 --R 
 --R
@@ -121,7 +241,42 @@ aa:=integrate(1/(x^2*(x^3+a^3)),x)
 --R                                        4  +-+
 --R                                      6a x\|3
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 16
+bb:=-1/(a^3*x)-1/(6*a^4)*log((x^2-a*x+a^2)/(x+a)^2)-1/(a^4*sqrt(3))*atan((2*x-a)/(a*sqrt(3)))
+--R
+--R                  2          2                        +-+
+--R                 x  - a x + a        +-+     (2x - a)\|3
+--R        - x log(--------------) - 2x\|3 atan(------------) - 6a
+--R                 2           2                    3a
+--R                x  + 2a x + a
+--R   (2)  -------------------------------------------------------
+--R                                    4
+--R                                  6a x
+--R                                                     Type: Expression Integer
 --E 
+
+--S 17
+cc:=aa-bb
+--R
+--R                                                   2          2
+--R               2          2                       x  - a x + a
+--R        - log(x  - a x + a ) + 2log(x + a) + log(--------------)
+--R                                                  2           2
+--R                                                 x  + 2a x + a
+--R   (3)  --------------------------------------------------------
+--R                                     4
+--R                                   6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18     14:303 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.304~~~~~$\displaystyle
@@ -134,7 +289,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 12
+--S 19
 aa:=integrate(1/(x^3+a^3)^2,x)
 --R 
 --R
@@ -151,6 +306,42 @@ aa:=integrate(1/(x^3+a^3)^2,x)
 --R     (9a x  + 9a )\|3
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 20
+bb:=x/(3*a^3*(x^3+a^3))+1/(9*a^5)*log((x+a)^2/(x^2-a*x+a^2))+2/(3*a^5*sqrt(3))*atan((2*x-a)/(a*sqrt(3)))
+--R
+--R   (2)
+--R                 2           2                                 +-+
+--R     3    3     x  + 2a x + a        3     3  +-+     (2x - a)\|3       2
+--R   (x  + a )log(--------------) + (2x  + 2a )\|3 atan(------------) + 3a x
+--R                  2          2                             3a
+--R                 x  - a x + a
+--R   -----------------------------------------------------------------------
+--R                                   5 3     8
+--R                                 9a x  + 9a
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+cc:=aa-bb
+--R
+--R                                                  2           2
+--R               2          2                      x  + 2a x + a
+--R        - log(x  - a x + a ) + 2log(x + a) - log(--------------)
+--R                                                   2          2
+--R                                                  x  - a x + a
+--R   (3)  --------------------------------------------------------
+--R                                     5
+--R                                   9a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22     14:304 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.305~~~~~$\displaystyle
@@ -163,7 +354,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 12
+--S 23
 aa:=integrate(x/(x^3+a^3)^2,x)
 --R 
 --R
@@ -180,6 +371,42 @@ aa:=integrate(x/(x^3+a^3)^2,x)
 --R     (18a x  + 18a )\|3
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=x^2/(3*a^3*(x^3+a^3))+1/(18*a^4)*log((x^2-a*x+a^2)/(x+a)^2)+1/(3*a^4*sqrt(3))*atan((2*x-a)/(a*sqrt(3)))
+--R
+--R   (2)
+--R                  2          2                                 +-+
+--R     3    3      x  - a x + a        3     3  +-+     (2x - a)\|3         2
+--R   (x  + a )log(--------------) + (2x  + 2a )\|3 atan(------------) + 6a x
+--R                 2           2                             3a
+--R                x  + 2a x + a
+--R   ------------------------------------------------------------------------
+--R                                    4 3      7
+--R                                 18a x  + 18a
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R                                                 2          2
+--R             2          2                       x  - a x + a
+--R        log(x  - a x + a ) - 2log(x + a) - log(--------------)
+--R                                                2           2
+--R                                               x  + 2a x + a
+--R   (3)  ------------------------------------------------------
+--R                                    4
+--R                                 18a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26     14:305 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.306~~~~~$\displaystyle
@@ -190,7 +417,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 12
+--S 27
 aa:=integrate(x^2/(x^3+a^3)^2,x)
 --R 
 --R
@@ -199,7 +426,24 @@ aa:=integrate(x^2/(x^3+a^3)^2,x)
 --R            3     3
 --R          3x  + 3a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 28
+bb:=-1/(3*(x^3+a^3))
+--R
+--R              1
+--R   (2)  - ---------
+--R            3     3
+--R          3x  + 3a
+--R                                            Type: Fraction Polynomial Integer
 --E 
+
+--S 29     14:306 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.307~~~~~$\displaystyle
@@ -210,7 +454,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 12
+--S 30
 aa:=integrate(1/(x*(x^3+a^3)^2),x)
 --R 
 --R
@@ -221,6 +465,41 @@ aa:=integrate(1/(x*(x^3+a^3)^2),x)
 --R                           3a x  + 3a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 31
+bb:=1/(3*a^3*(x^3+a^3))+1/(3*a^6)*log(x^3/(x^3+a^3))
+--R
+--R                         3
+--R          3    3        x        3
+--R        (x  + a )log(-------) + a
+--R                      3    3
+--R                     x  + a
+--R   (2)  --------------------------
+--R                  6 3     9
+--R                3a x  + 3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+cc:=aa-bb
+--R
+--R                                           3
+--R               3    3                     x
+--R        - log(x  + a ) + 3log(x) - log(-------)
+--R                                        3    3
+--R                                       x  + a
+--R   (3)  ---------------------------------------
+--R                            6
+--R                          3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33     14:307 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.308~~~~~$\displaystyle
@@ -232,7 +511,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 12
+--S 34
 aa:=integrate(1/(x^2*(x^3+a^3)^2),x)
 --R 
 --R
@@ -248,7 +527,44 @@ aa:=integrate(1/(x^2*(x^3+a^3)^2),x)
 --R        7 4     10   +-+
 --R     (9a x  + 9a  x)\|3
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 35
+t1:=integrate(x/(x^3+a^3),x)
+--R
+--R                                                                  +-+
+--R         +-+     2          2      +-+                   (2x - a)\|3
+--R        \|3 log(x  - a x + a ) - 2\|3 log(x + a) + 6atan(------------)
+--R                                                              3a
+--R   (2)  --------------------------------------------------------------
+--R                                       +-+
+--R                                    6a\|3
+--R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 36
+bb:=-1/(a^6*x)-x^2/(3*a^6*(x^3+a^3))-4/(3*a^6)*t1
+--R
+--R   (3)
+--R            4     3   +-+     2          2       4     3   +-+
+--R       (- 2x  - 2a x)\|3 log(x  - a x + a ) + (4x  + 4a x)\|3 log(x + a)
+--R     + 
+--R                                     +-+
+--R             4      3       (2x - a)\|3             3     4  +-+
+--R       (- 12x  - 12a x)atan(------------) + (- 12a x  - 9a )\|3
+--R                                 3a
+--R  /
+--R        7 4     10   +-+
+--R     (9a x  + 9a  x)\|3
+--R                                                     Type: Expression Integer
 --E 
+
+--S 37     14:308 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.309~~~~~$\displaystyle
@@ -259,7 +575,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 12
+--S 38     14:309 Axiom cannot compute this integral
 aa:=integrate(x^m/(x^3+a^3),x)
 --R 
 --R
@@ -269,7 +585,7 @@ aa:=integrate(x^m/(x^3+a^3),x)
 --R        ++    3     3
 --I             a  + %L
 --R                                          Type: Union(Expression Integer,...)
---E 
+--E
 @
 
 \section{\cite{1}:14.310~~~~~$\displaystyle
@@ -280,7 +596,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 12
+--S 39     14:310 Axiom cannot compute this integral
 aa:=integrate(1/(x^n*(x^3+a^3)),x)
 --R 
 --R
diff --git a/src/input/schaum15.input.pamphlet b/src/input/schaum15.input.pamphlet
index 51a6094..0c01fbb 100644
--- a/src/input/schaum15.input.pamphlet
+++ b/src/input/schaum15.input.pamphlet
@@ -20,7 +20,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 14
+--S 1
 aa:=integrate(1/(x^4+a^4),x)
 --R 
 --R
@@ -53,6 +53,202 @@ aa:=integrate(1/(x^4+a^4),x)
 --R     \|2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/(4*a^3*sqrt(2))*log((x^2+a*x*sqrt(2)+a^2)/(x^2-a*x*sqrt(2)+a^2))-1/(2*a^3*sqrt(2))*atan((a*x*sqrt(2))/(x^2-a^2))
+--R
+--R                      +-+    2    2                  +-+
+--R         +-+    - a x\|2  - x  - a       +-+     a x\|2
+--R        \|2 log(-------------------) - 2\|2 atan(-------)
+--R                     +-+    2    2                2    2
+--R                 a x\|2  - x  - a                x  - a
+--R   (2)  -------------------------------------------------
+--R                                 3
+--R                               8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R   (3)
+--R            +------+          +------+2            +------+
+--R         3  |   1          8  |   1        4  +-+  |   1      2
+--R       4a   |------ log(16a   |------  + 4a x\|2   |------ + x )
+--R           4|    12          4|    12             4|    12
+--R           \|256a            \|256a               \|256a
+--R     + 
+--R              +------+          +------+2            +------+
+--R           3  |   1          8  |   1        4  +-+  |   1      2
+--R       - 4a   |------ log(16a   |------  - 4a x\|2   |------ + x )
+--R             4|    12          4|    12             4|    12
+--R             \|256a            \|256a               \|256a
+--R     + 
+--R                                  +------+
+--R                               4  |   1
+--R                             4a   |------
+--R            +------+             4|    12
+--R         3  |   1                \|256a
+--R       8a   |------ atan(--------------------)
+--R           4|    12           +------+
+--R           \|256a          4  |   1       +-+
+--R                         4a   |------ - x\|2
+--R                             4|    12
+--R                             \|256a
+--R     + 
+--R                                    +------+
+--R                                 4  |   1
+--R                               4a   |------
+--R              +------+             4|    12                 +-+    2    2
+--R           3  |   1                \|256a             - a x\|2  - x  - a
+--R       - 8a   |------ atan(-------------------- - log(-------------------)
+--R             4|    12           +------+                   +-+    2    2
+--R             \|256a          4  |   1       +-+        a x\|2  - x  - a
+--R                           4a   |------ + x\|2
+--R                               4|    12
+--R                               \|256a
+--R     + 
+--R                 +-+
+--R             a x\|2
+--R       2atan(-------)
+--R              2    2
+--R             x  - a
+--R  /
+--R       3 +-+
+--R     4a \|2
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (4)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 5
+dd:=atanrule cc
+--R
+--R   (5)
+--R            +------+          +------+2            +------+
+--R         3  |   1          8  |   1        4  +-+  |   1      2
+--R       4a   |------ log(16a   |------  + 4a x\|2   |------ + x )
+--R           4|    12          4|    12             4|    12
+--R           \|256a            \|256a               \|256a
+--R     + 
+--R              +------+          +------+2            +------+
+--R           3  |   1          8  |   1        4  +-+  |   1      2
+--R       - 4a   |------ log(16a   |------  - 4a x\|2   |------ + x )
+--R             4|    12          4|    12             4|    12
+--R             \|256a            \|256a               \|256a
+--R     + 
+--R                                          +------+
+--R                                       4  |   1          +-+
+--R                           (- 4 + 4%i)a   |------ + %i x\|2
+--R               +------+                  4|    12
+--R            3  |   1                     \|256a
+--R       4%i a   |------ log(---------------------------------)
+--R              4|    12                   +------+
+--R              \|256a                  4  |   1          +-+
+--R                            (4 + 4%i)a   |------ + %i x\|2
+--R                                        4|    12
+--R                                        \|256a
+--R     + 
+--R                                            +------+
+--R                                         4  |   1          +-+
+--R                             (- 4 + 4%i)a   |------ - %i x\|2
+--R                 +------+                  4|    12
+--R              3  |   1                     \|256a
+--R       - 4%i a   |------ log(---------------------------------)
+--R                4|    12                   +------+
+--R                \|256a                  4  |   1          +-+
+--R                              (4 + 4%i)a   |------ - %i x\|2
+--R                                          4|    12
+--R                                          \|256a
+--R     + 
+--R                      +-+       2       2              +-+    2    2
+--R                - a x\|2  + %i x  - %i a         - a x\|2  - x  - a
+--R       - %i log(-------------------------) - log(-------------------)
+--R                     +-+       2       2              +-+    2    2
+--R                 a x\|2  + %i x  - %i a           a x\|2  - x  - a
+--R  /
+--R       3 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 6
+ee:=rootSimp dd
+--R
+--R   (6)
+--R                                         +-+
+--R               +-+    2    2           x\|2  + (1 + %i)a
+--R       log(a x\|2  + x  + a ) + %i log(-----------------)
+--R                                         +-+
+--R                                       x\|2  + (1 - %i)a
+--R     + 
+--R                  +-+                               +-+       2       2
+--R                x\|2  + (- 1 - %i)a           - a x\|2  + %i x  - %i a
+--R       - %i log(-------------------) - %i log(-------------------------)
+--R                  +-+                              +-+       2       2
+--R                x\|2  + (- 1 + %i)a            a x\|2  + %i x  - %i a
+--R     + 
+--R                   +-+    2    2
+--R             - a x\|2  - x  - a               +-+    2    2
+--R       - log(-------------------) - log(- a x\|2  + x  + a )
+--R                  +-+    2    2
+--R              a x\|2  - x  - a
+--R  /
+--R       3 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 7
+ff:=expandLog ee
+--R
+--R   (7)
+--R                  +-+       2       2               +-+       2       2
+--R       %i log(a x\|2  + %i x  - %i a ) - %i log(a x\|2  - %i x  + %i a )
+--R     + 
+--R                +-+                         +-+
+--R       %i log(x\|2  + (1 + %i)a) - %i log(x\|2  + (1 - %i)a)
+--R     + 
+--R                +-+                           +-+
+--R       %i log(x\|2  + (- 1 + %i)a) - %i log(x\|2  + (- 1 - %i)a)
+--R     + 
+--R       (- 2 - %i)log(- 1)
+--R  /
+--R       3 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 8
+gg:=complexNormalize ff
+--R
+--R               %i             %i
+--R        %i log(--) - %i log(- --) + (- 2 - %i)log(- 1)
+--R                2              2
+--R   (8)  ----------------------------------------------
+--R                              3 +-+
+--R                            4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 9      14:311 Schaums and Axiom differ by a constant
+hh:=expandLog gg
+--R
+--R        %i log(%i) - %i log(- %i) + (- 2 - %i)log(- 1)
+--R   (9)  ----------------------------------------------
+--R                              3 +-+
+--R                            4a \|2
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.312~~~~~$\displaystyle
@@ -63,7 +259,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 14
+--S 10
 aa:=integrate(x/(x^4+a^4),x)
 --R 
 --R
@@ -77,6 +273,27 @@ aa:=integrate(x/(x^4+a^4),x)
 --R           2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=1/(2*a^2)*atan(x^2/a^2)
+--R
+--R              2
+--R             x
+--R        atan(--)
+--R              2
+--R             a
+--R   (2)  --------
+--R             2
+--R           2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:312 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.313~~~~~$\displaystyle
@@ -89,7 +306,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 14
+--S 13
 aa:=integrate(x^2/(x^4+a^4),x)
 --R 
 --R
@@ -122,6 +339,213 @@ aa:=integrate(x^2/(x^4+a^4),x)
 --R     \|2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 14
+bb:=1/(4*a*sqrt(2))*log((x^2-a*x*sqrt(2)+a^2)/(x^2+a*x*sqrt(2)+a^2))-1/(2*a*sqrt(2))*atan((a*x*sqrt(2))/(x^2-a^2))
+--R
+--R                      +-+    2    2                  +-+
+--R         +-+    - a x\|2  + x  + a       +-+     a x\|2
+--R        \|2 log(-------------------) - 2\|2 atan(-------)
+--R                     +-+    2    2                2    2
+--R                 a x\|2  + x  + a                x  - a
+--R   (2)  -------------------------------------------------
+--R                                8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+cc:=aa-bb
+--R
+--R   (3)
+--R             +-----+               +-----+3        +-----+2
+--R             |  1          4  +-+  |  1         4  |  1       2
+--R       - 4a  |----- log(64a x\|2   |-----  + 16a   |-----  + x )
+--R            4|    4               4|    4         4|    4
+--R            \|256a                \|256a          \|256a
+--R     + 
+--R           +-----+                 +-----+3        +-----+2
+--R           |  1            4  +-+  |  1         4  |  1       2
+--R       4a  |----- log(- 64a x\|2   |-----  + 16a   |-----  + x )
+--R          4|    4                 4|    4         4|    4
+--R          \|256a                  \|256a          \|256a
+--R     + 
+--R                                 +-----+3
+--R                              4  |  1
+--R                           64a   |-----
+--R           +-----+              4|    4
+--R           |  1                 \|256a
+--R       8a  |----- atan(---------------------)
+--R          4|    4            +-----+3
+--R          \|256a          4  |  1        +-+
+--R                       64a   |-----  - x\|2
+--R                            4|    4
+--R                            \|256a
+--R     + 
+--R                                   +-----+3
+--R                                4  |  1
+--R                             64a   |-----
+--R             +-----+              4|    4                  +-+    2    2
+--R             |  1                 \|256a             - a x\|2  + x  + a
+--R       - 8a  |----- atan(--------------------- - log(-------------------)
+--R            4|    4            +-----+3                   +-+    2    2
+--R            \|256a          4  |  1        +-+        a x\|2  + x  + a
+--R                         64a   |-----  + x\|2
+--R                              4|    4
+--R                              \|256a
+--R     + 
+--R                 +-+
+--R             a x\|2
+--R       2atan(-------)
+--R              2    2
+--R             x  - a
+--R  /
+--R        +-+
+--R     4a\|2
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (4)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 17
+dd:=atanrule cc
+--R
+--R   (5)
+--R             +-----+               +-----+3        +-----+2
+--R             |  1          4  +-+  |  1         4  |  1       2
+--R       - 4a  |----- log(64a x\|2   |-----  + 16a   |-----  + x )
+--R            4|    4               4|    4         4|    4
+--R            \|256a                \|256a          \|256a
+--R     + 
+--R                                          +-----+3
+--R                                       4  |  1           +-+
+--R                         (- 64 + 64%i)a   |-----  + %i x\|2
+--R              +-----+                    4|    4
+--R              |  1                       \|256a
+--R       4%i a  |----- log(-----------------------------------)
+--R             4|    4                     +-----+3
+--R             \|256a                   4  |  1           +-+
+--R                          (64 + 64%i)a   |-----  + %i x\|2
+--R                                        4|    4
+--R                                        \|256a
+--R     + 
+--R                                            +-----+3
+--R                                         4  |  1           +-+
+--R                           (- 64 + 64%i)a   |-----  - %i x\|2
+--R                +-----+                    4|    4
+--R                |  1                       \|256a
+--R       - 4%i a  |----- log(-----------------------------------)
+--R               4|    4                     +-----+3
+--R               \|256a                   4  |  1           +-+
+--R                            (64 + 64%i)a   |-----  - %i x\|2
+--R                                          4|    4
+--R                                          \|256a
+--R     + 
+--R           +-----+                 +-----+3        +-----+2
+--R           |  1            4  +-+  |  1         4  |  1       2
+--R       4a  |----- log(- 64a x\|2   |-----  + 16a   |-----  + x )
+--R          4|    4                 4|    4         4|    4
+--R          \|256a                  \|256a          \|256a
+--R     + 
+--R                   +-+    2    2                 +-+       2       2
+--R             - a x\|2  + x  + a            - a x\|2  + %i x  - %i a
+--R       - log(-------------------) - %i log(-------------------------)
+--R                  +-+    2    2                 +-+       2       2
+--R              a x\|2  + x  + a              a x\|2  + %i x  - %i a
+--R  /
+--R        +-+
+--R     4a\|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 18
+ee:=expandLog dd
+--R
+--R   (6)
+--R             +-----+               +-----+3        +-----+2
+--R             |  1          4  +-+  |  1         4  |  1       2
+--R       - 4a  |----- log(64a x\|2   |-----  + 16a   |-----  + x )
+--R            4|    4               4|    4         4|    4
+--R            \|256a                \|256a          \|256a
+--R     + 
+--R           +-----+               +-----+3        +-----+2
+--R           |  1          4  +-+  |  1         4  |  1       2
+--R       4a  |----- log(64a x\|2   |-----  - 16a   |-----  - x )
+--R          4|    4               4|    4         4|    4
+--R          \|256a                \|256a          \|256a
+--R     + 
+--R              +-----+                   +-----+3
+--R              |  1                   4  |  1        +-+
+--R       4%i a  |----- log((64 + 64%i)a   |-----  + x\|2 )
+--R             4|    4                   4|    4
+--R             \|256a                    \|256a
+--R     + 
+--R                +-----+                   +-----+3
+--R                |  1                   4  |  1           +-+
+--R       - 4%i a  |----- log((64 + 64%i)a   |-----  + %i x\|2 )
+--R               4|    4                   4|    4
+--R               \|256a                    \|256a
+--R     + 
+--R              +-----+                   +-----+3
+--R              |  1                   4  |  1           +-+
+--R       4%i a  |----- log((64 + 64%i)a   |-----  - %i x\|2 )
+--R             4|    4                   4|    4
+--R             \|256a                    \|256a
+--R     + 
+--R                +-----+                   +-----+3                       +-----+
+--R                |  1                   4  |  1        +-+                |  1
+--R       - 4%i a  |----- log((64 + 64%i)a   |-----  - x\|2  + 4a log(- 1)  |-----
+--R               4|    4                   4|    4                        4|    4
+--R               \|256a                    \|256a                         \|256a
+--R     + 
+--R               +-+    2    2               +-+       2       2
+--R       log(a x\|2  + x  + a ) + %i log(a x\|2  + %i x  - %i a )
+--R     + 
+--R                    +-+       2       2            +-+    2    2
+--R       - %i log(a x\|2  - %i x  + %i a ) - log(a x\|2  - x  - a )
+--R     + 
+--R       (- 1 - %i)log(- 1)
+--R  /
+--R        +-+
+--R     4a\|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 19
+ff:=rootSimp ee
+--R
+--R   (7)
+--R                  +-+       2       2               +-+       2       2
+--R       %i log(a x\|2  + %i x  - %i a ) - %i log(a x\|2  - %i x  + %i a )
+--R     + 
+--R                +-+                            +-+
+--R       %i log(x\|2  + (1 + %i)a) - %i log(%i x\|2  + (1 + %i)a)
+--R     + 
+--R                   +-+                           +-+
+--R     %i log(- %i x\|2  + (1 + %i)a) - %i log(- x\|2  + (1 + %i)a) - %i log(- 1)
+--R  /
+--R        +-+
+--R     4a\|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 20     14:313 Schaums and Axiom differ by a constant
+gg:=complexNormalize ff
+--R
+--R        %i log(2) - %i log(- 1) - %i log(- 2)
+--R   (8)  -------------------------------------
+--R                           +-+
+--R                        4a\|2
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.314~~~~~$\displaystyle
@@ -132,7 +556,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 14
+--S 21
 aa:=integrate(x^3/(x^4+a^4),x)
 --R 
 --R
@@ -141,7 +565,24 @@ aa:=integrate(x^3/(x^4+a^4),x)
 --R   (1)  ------------
 --R              4
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 22
+bb:=1/4*log(x^4+a^4)
+--R
+--R             4    4
+--R        log(x  + a )
+--R   (2)  ------------
+--R              4
+--R                                                     Type: Expression Integer
 --E 
+
+--S 23     14:314 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.315~~~~~$\displaystyle
@@ -152,7 +593,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 14
+--S 24
 aa:=integrate(1/(x*(x^4+a^4)),x)
 --R 
 --R
@@ -163,6 +604,41 @@ aa:=integrate(1/(x*(x^4+a^4)),x)
 --R                   4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 25
+bb:=1/(4*a^4)*log(x^4/(x^4+a^4))
+--R
+--R                4
+--R               x
+--R        log(-------)
+--R             4    4
+--R            x  + a
+--R   (2)  ------------
+--R               4
+--R             4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+cc:=aa-bb
+--R
+--R                                           4
+--R               4    4                     x
+--R        - log(x  + a ) + 4log(x) - log(-------)
+--R                                        4    4
+--R                                       x  + a
+--R   (3)  ---------------------------------------
+--R                            4
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:315 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.316~~~~~$\displaystyle
@@ -175,7 +651,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 14
+--S 28
 aa:=integrate(1/(x^2*(x^4+a^4)),x)
 --R 
 --R
@@ -220,6 +696,220 @@ aa:=integrate(1/(x^2*(x^4+a^4)),x)
 --R     a x\|2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 29
+bb:=-1/(a^4*x)-1/(4*a^5*sqrt(2))*log((x^2-a*x*sqrt(2)+a^2)/(x^2+a*x*sqrt(2)+a^2))+1/(2*a^5*sqrt(2))*atan((a*x*sqrt(2))/(x^2-a^2))
+--R
+--R                         +-+    2    2                   +-+
+--R            +-+    - a x\|2  + x  + a        +-+     a x\|2
+--R        - x\|2 log(-------------------) + 2x\|2 atan(-------) - 8a
+--R                        +-+    2    2                 2    2
+--R                    a x\|2  + x  + a                 x  - a
+--R   (2)  ----------------------------------------------------------
+--R                                     5
+--R                                   8a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 30
+cc:=aa-bb
+--R
+--R   (3)
+--R            +------+                +------+3         +------+2
+--R         5  |   1          16  +-+  |   1         12  |   1       2
+--R       4a   |------ log(64a  x\|2   |------  + 16a    |------  + x )
+--R           4|    20                4|    20          4|    20
+--R           \|256a                  \|256a            \|256a
+--R     + 
+--R              +------+                  +------+3         +------+2
+--R           5  |   1            16  +-+  |   1         12  |   1       2
+--R       - 4a   |------ log(- 64a  x\|2   |------  + 16a    |------  + x )
+--R             4|    20                  4|    20          4|    20
+--R             \|256a                    \|256a            \|256a
+--R     + 
+--R                                      +------+3
+--R                                  16  |   1
+--R                               64a    |------
+--R              +------+               4|    20
+--R           5  |   1                  \|256a
+--R       - 8a   |------ atan(-----------------------)
+--R             4|    20             +------+3
+--R             \|256a           16  |   1        +-+
+--R                           64a    |------  - x\|2
+--R                                 4|    20
+--R                                 \|256a
+--R     + 
+--R                                    +------+3
+--R                                16  |   1
+--R                             64a    |------
+--R            +------+               4|    20                  +-+    2    2
+--R         5  |   1                  \|256a              - a x\|2  + x  + a
+--R       8a   |------ atan(----------------------- + log(-------------------)
+--R           4|    20             +------+3                   +-+    2    2
+--R           \|256a           16  |   1        +-+        a x\|2  + x  + a
+--R                         64a    |------  + x\|2
+--R                               4|    20
+--R                               \|256a
+--R     + 
+--R                   +-+
+--R               a x\|2
+--R       - 2atan(-------)
+--R                2    2
+--R               x  - a
+--R  /
+--R       5 +-+
+--R     4a \|2
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (4)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 32
+dd:=atanrule cc
+--R
+--R   (5)
+--R            +------+                +------+3         +------+2
+--R         5  |   1          16  +-+  |   1         12  |   1       2
+--R       4a   |------ log(64a  x\|2   |------  + 16a    |------  + x )
+--R           4|    20                4|    20          4|    20
+--R           \|256a                  \|256a            \|256a
+--R     + 
+--R                                               +------+3
+--R                                           16  |   1           +-+
+--R                             (- 64 + 64%i)a    |------  + %i x\|2
+--R                 +------+                     4|    20
+--R              5  |   1                        \|256a
+--R       - 4%i a   |------ log(-------------------------------------)
+--R                4|    20                      +------+3
+--R                \|256a                    16  |   1           +-+
+--R                              (64 + 64%i)a    |------  + %i x\|2
+--R                                             4|    20
+--R                                             \|256a
+--R     + 
+--R                                             +------+3
+--R                                         16  |   1           +-+
+--R                           (- 64 + 64%i)a    |------  - %i x\|2
+--R               +------+                     4|    20
+--R            5  |   1                        \|256a
+--R       4%i a   |------ log(-------------------------------------)
+--R              4|    20                      +------+3
+--R              \|256a                    16  |   1           +-+
+--R                            (64 + 64%i)a    |------  - %i x\|2
+--R                                           4|    20
+--R                                           \|256a
+--R     + 
+--R              +------+                  +------+3         +------+2
+--R           5  |   1            16  +-+  |   1         12  |   1       2
+--R       - 4a   |------ log(- 64a  x\|2   |------  + 16a    |------  + x )
+--R             4|    20                  4|    20          4|    20
+--R             \|256a                    \|256a            \|256a
+--R     + 
+--R                 +-+    2    2                 +-+       2       2
+--R           - a x\|2  + x  + a            - a x\|2  + %i x  - %i a
+--R       log(-------------------) + %i log(-------------------------)
+--R                +-+    2    2                 +-+       2       2
+--R            a x\|2  + x  + a              a x\|2  + %i x  - %i a
+--R  /
+--R       5 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 33
+ee:=expandLog dd
+--R
+--R   (6)
+--R            +------+                +------+3         +------+2
+--R         5  |   1          16  +-+  |   1         12  |   1       2
+--R       4a   |------ log(64a  x\|2   |------  + 16a    |------  + x )
+--R           4|    20                4|    20          4|    20
+--R           \|256a                  \|256a            \|256a
+--R     + 
+--R              +------+                +------+3         +------+2
+--R           5  |   1          16  +-+  |   1         12  |   1       2
+--R       - 4a   |------ log(64a  x\|2   |------  - 16a    |------  - x )
+--R             4|    20                4|    20          4|    20
+--R             \|256a                  \|256a            \|256a
+--R     + 
+--R                 +------+                    +------+3
+--R              5  |   1                   16  |   1        +-+
+--R       - 4%i a   |------ log((64 + 64%i)a    |------  + x\|2 )
+--R                4|    20                    4|    20
+--R                \|256a                      \|256a
+--R     + 
+--R               +------+                    +------+3
+--R            5  |   1                   16  |   1           +-+
+--R       4%i a   |------ log((64 + 64%i)a    |------  + %i x\|2 )
+--R              4|    20                    4|    20
+--R              \|256a                      \|256a
+--R     + 
+--R                 +------+                    +------+3
+--R              5  |   1                   16  |   1           +-+
+--R       - 4%i a   |------ log((64 + 64%i)a    |------  - %i x\|2 )
+--R                4|    20                    4|    20
+--R                \|256a                      \|256a
+--R     + 
+--R               +------+                    +------+3
+--R            5  |   1                   16  |   1        +-+
+--R       4%i a   |------ log((64 + 64%i)a    |------  - x\|2 )
+--R              4|    20                    4|    20
+--R              \|256a                      \|256a
+--R     + 
+--R                      +------+
+--R           5          |   1             +-+    2    2
+--R       - 4a log(- 1)  |------ - log(a x\|2  + x  + a )
+--R                     4|    20
+--R                     \|256a
+--R     + 
+--R                    +-+       2       2               +-+       2       2
+--R       - %i log(a x\|2  + %i x  - %i a ) + %i log(a x\|2  - %i x  + %i a )
+--R     + 
+--R               +-+    2    2
+--R       log(a x\|2  - x  - a ) + (1 + %i)log(- 1)
+--R  /
+--R       5 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 34
+ff:=rootSimp ee
+--R
+--R   (7)
+--R                    +-+       2       2               +-+       2       2
+--R       - %i log(a x\|2  + %i x  - %i a ) + %i log(a x\|2  - %i x  + %i a )
+--R     + 
+--R                  +-+                            +-+
+--R       - %i log(x\|2  + (1 + %i)a) + %i log(%i x\|2  + (1 + %i)a)
+--R     + 
+--R                       +-+                           +-+
+--R       - %i log(- %i x\|2  + (1 + %i)a) + %i log(- x\|2  + (1 + %i)a)
+--R     + 
+--R       %i log(- 1)
+--R  /
+--R       5 +-+
+--R     4a \|2
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 35     14:316 Schaums and Axiom differ by a constant
+gg:=complexNormalize ff
+--R
+--R        - %i log(2) + %i log(- 1) + %i log(- 2)
+--R   (8)  ---------------------------------------
+--R                          5 +-+
+--R                        4a \|2
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.317~~~~~$\displaystyle
@@ -230,7 +920,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 14
+--S 36
 aa:=integrate(1/(x^3*(x^4+a^4)),x)
 --R 
 --R
@@ -244,6 +934,27 @@ aa:=integrate(1/(x^3*(x^4+a^4)),x)
 --R              2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 37
+bb:=-1/(2*a^4*x^2)-1/(2*a^6)*atan(x^2/a^2)
+--R
+--R                  2
+--R           2     x      2
+--R        - x atan(--) - a
+--R                  2
+--R                 a
+--R   (2)  -----------------
+--R                6 2
+--R              2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 38     14:317 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.318~~~~~$\displaystyle
@@ -255,7 +966,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 14
+--S 39
 aa:=integrate(1/(x^4-a^4),x)
 --R 
 --R
@@ -267,6 +978,37 @@ aa:=integrate(1/(x^4-a^4),x)
 --R                         4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 40
+bb:=1/(4*a^3)*log((x-a)/(x+a))-1/(2*a^3)*atan(x/a)
+--R
+--R            x - a          x
+--R        log(-----) - 2atan(-)
+--R            x + a          a
+--R   (2)  ---------------------
+--R                   3
+--R                 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 41
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                            3
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42     14:318 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.319~~~~~$\displaystyle
@@ -277,7 +1019,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 14
+--S 43
 aa:=integrate(x/(x^4-a^4),x)
 --R 
 --R
@@ -288,6 +1030,41 @@ aa:=integrate(x/(x^4-a^4),x)
 --R                     4a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 44
+bb:=1/(4*a^2)*log((x^2-a^2)/(x^2+a^2))
+--R
+--R             2    2
+--R            x  - a
+--R        log(-------)
+--R             2    2
+--R            x  + a
+--R   (2)  ------------
+--R               2
+--R             4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 45
+cc:=aa-bb
+--R
+--R                                             2    2
+--R               2    2         2    2        x  - a
+--R        - log(x  + a ) + log(x  - a ) - log(-------)
+--R                                             2    2
+--R                                            x  + a
+--R   (3)  --------------------------------------------
+--R                               2
+--R                             4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 46     14:319 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.320~~~~~$\displaystyle
@@ -299,7 +1076,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 14
+--S 47
 aa:=integrate(x^2/(x^4-a^4),x)
 --R 
 --R
@@ -309,7 +1086,36 @@ aa:=integrate(x^2/(x^4-a^4),x)
 --R   (1)  ------------------------------------
 --R                         4a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 48
+bb:=1/(4*a)*log((x-a)/(x+a))+1/(2*a)*atan(x/a)
+--R
+--R            x - a          x
+--R        log(-----) + 2atan(-)
+--R            x + a          a
+--R   (2)  ---------------------
+--R                  4a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 49
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 50     14:320 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.321~~~~~$\displaystyle
@@ -320,7 +1126,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 14
+--S 51
 aa:=integrate(x^3/(x^4-a^4),x)
 --R 
 --R
@@ -330,6 +1136,23 @@ aa:=integrate(x^3/(x^4-a^4),x)
 --R              4
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 52
+bb:=1/4*log(x^4-a^4)
+--R
+--R             4    4
+--R        log(x  - a )
+--R   (2)  ------------
+--R              4
+--R                                                     Type: Expression Integer
+--E
+
+--S 53     14:321 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.322~~~~~$\displaystyle
@@ -340,7 +1163,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 14
+--S 54
 aa:=integrate(1/(x*(x^4-a^4)),x)
 --R 
 --R
@@ -350,7 +1173,42 @@ aa:=integrate(1/(x*(x^4-a^4)),x)
 --R                    4
 --R                  4a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 55
+bb:=1/(4*a^4)*log((x^4-a^4)/x^4)
+--R
+--R             4    4
+--R            x  - a
+--R        log(-------)
+--R                4
+--R               x
+--R   (2)  ------------
+--R               4
+--R             4a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 56
+cc:=aa-bb
+--R
+--R                                      4    4
+--R             4    4                  x  - a
+--R        log(x  - a ) - 4log(x) - log(-------)
+--R                                         4
+--R                                        x
+--R   (3)  -------------------------------------
+--R                           4
+--R                         4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57     14:322 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.323~~~~~$\displaystyle
@@ -362,7 +1220,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 14
+--S 58
 aa:=integrate(1/(x^2*(x^4-a^4)),x)
 --R 
 --R
@@ -374,6 +1232,37 @@ aa:=integrate(1/(x^2*(x^4-a^4)),x)
 --R                              4a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 59
+bb:=1/(a^4*x)+1/(4*a^5)*log((x-a)/(x+a))+1/(2*a^5)*atan(x/a)
+--R
+--R              x - a            x
+--R        x log(-----) + 2x atan(-) + 4a
+--R              x + a            a
+--R   (2)  ------------------------------
+--R                       5
+--R                     4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 60
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                            5
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 61     14:323 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.324~~~~~$\displaystyle
@@ -384,7 +1273,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 14
+--S 62
 aa:=integrate(1/(x^3*(x^4-a^4)),x)
 --R 
 --R
@@ -396,6 +1285,40 @@ aa:=integrate(1/(x^3*(x^4-a^4)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 63
+bb:=1/(2*a^4*x^2)+1/(4*a^6)*log((x^2-a^2)/(x^2+a^2))
+--R
+--R               2    2
+--R         2    x  - a       2
+--R        x log(-------) + 2a
+--R               2    2
+--R              x  + a
+--R   (2)  --------------------
+--R                  6 2
+--R                4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 64
+cc:=aa-bb
+--R
+--R                                             2    2
+--R               2    2         2    2        x  - a
+--R        - log(x  + a ) + log(x  - a ) - log(-------)
+--R                                             2    2
+--R                                            x  + a
+--R   (3)  --------------------------------------------
+--R                               6
+--R                             4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 65     14:324 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 )spool
 )lisp (bye)
 @
diff --git a/src/input/schaum16.input.pamphlet b/src/input/schaum16.input.pamphlet
index f6b849c..b058a54 100644
--- a/src/input/schaum16.input.pamphlet
+++ b/src/input/schaum16.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 14
+--S 1
 aa:=integrate(1/x*(x^n+a^n),x)
 --R 
 --R
@@ -28,6 +28,79 @@ aa:=integrate(1/x*(x^n+a^n),x)
 --R                   n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/(n*a^n)*log(x^n/(x^n+a^n))
+--R
+--R                n
+--R               x
+--R        log(-------)
+--R             n    n
+--R            x  + a
+--R   (2)  ------------
+--R               n
+--R            n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                  n
+--R                 x        n  n log(x)             n 2
+--R        - log(-------) + a %e         + n log(x)(a )
+--R               n    n
+--R              x  + a
+--R   (3)  ---------------------------------------------
+--R                                n
+--R                             n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+dd:=expandLog cc
+--R
+--R             n    n         n     n  n log(x)            2n
+--R        log(x  + a ) - log(x ) + a %e         + n log(x)a
+--R   (4)  ---------------------------------------------------
+--R                                   n
+--R                                n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5
+ee:=complexNormalize dd
+--R
+--R   (5)
+--R             n log(x)     n log(a)      n log(a)  n log(x)
+--R       log(%e         + %e        ) + %e        %e
+--R     + 
+--R                  n log(a) 2
+--R       n log(x)(%e        )  - n log(x)
+--R  /
+--R         n log(a)
+--R     n %e
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (6)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 7      14:325 Axiom cannot simplify this expression
+ff:=explog ee
+--R
+--R             n    n     n n            2n
+--R        log(x  + a ) + a x  + n log(x)a   - n log(x)
+--R   (7)  --------------------------------------------
+--R                               n
+--R                            n a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.326~~~~~$\displaystyle
@@ -38,7 +111,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 14
+--S 8
 aa:=integrate(x^(n-1)/(x^n+a^n),x)
 --R 
 --R
@@ -48,6 +121,41 @@ aa:=integrate(x^(n-1)/(x^n+a^n),x)
 --R                  n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 9
+bb:=1/n*log(x^n+a^n)
+--R
+--R             n    n
+--R        log(x  + a )
+--R   (2)  ------------
+--R              n
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+cc:=aa-bb
+--R
+--R              n log(x)    n         n    n
+--R        log(%e         + a ) - log(x  + a )
+--R   (3)  -----------------------------------
+--R                         n
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 12     14:326 Schaums and Axiom agree
+dd:=explog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.327~~~~~$\displaystyle
@@ -59,7 +167,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 14
+--S 13     14:327 Axiom cannot compute this integral
 aa:=integrate(x^m/(x^n+a^n)^r,x)
 --R 
 --R
@@ -81,7 +189,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 14
+--S 14     14:328 Axiom cannot compute this integral
 aa:=integrate(1/(x^m*(x^n+a^n)^r),x)
 --R 
 --R
@@ -103,7 +211,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 14
+--S 15
 aa:=integrate(1/(x*sqrt(x^n+a^n)),x)
 --R 
 --R
@@ -130,6 +238,114 @@ aa:=integrate(1/(x*sqrt(x^n+a^n)),x)
 --R                  n\|- a
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 16
+bb:=1/(n*sqrt(a^n))*log((sqrt(x^n+a^n)-sqrt(a^n))/(sqrt(x^n+a^n)+sqrt(a^n)))
+--R
+--R             +-------+    +--+
+--R             | n    n     | n
+--R            \|x  + a   - \|a
+--R        log(------------------)
+--R             +-------+    +--+
+--R             | n    n     | n
+--R            \|x  + a   + \|a
+--R   (2)  -----------------------
+--R                   +--+
+--R                   | n
+--R                 n\|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+cc1:=aa.1-bb
+--R
+--R   (3)
+--R                 +---------------+                      +--+
+--R               n |  n log(x)    n       n log(x)     n  | n
+--R           - 2a \|%e         + a   + (%e         + 2a )\|a
+--R       log(-------------------------------------------------)
+--R                                 n log(x)
+--R                               %e
+--R     + 
+--R              +-------+    +--+
+--R              | n    n     | n
+--R             \|x  + a   - \|a
+--R       - log(------------------)
+--R              +-------+    +--+
+--R              | n    n     | n
+--R             \|x  + a   + \|a
+--R  /
+--R       +--+
+--R       | n
+--R     n\|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+dd1:=expandLog cc1
+--R
+--R   (4)
+--R               +---------------+                        +--+
+--R             n |  n log(x)    n         n log(x)     n  | n
+--R       log(2a \|%e         + a   + (- %e         - 2a )\|a  )
+--R     + 
+--R            +-------+    +--+         +-------+    +--+
+--R            | n    n     | n          | n    n     | n
+--R       log(\|x  + a   + \|a  ) - log(\|x  + a   - \|a  ) - n log(x) + log(- 1)
+--R  /
+--R       +--+
+--R       | n
+--R     n\|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (5)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 20
+ee1:=explog dd1
+--R
+--R   (6)
+--R               +-------+                +--+         +-------+    +--+
+--R             n | n    n        n     n  | n          | n    n     | n
+--R       log(2a \|x  + a   + (- x  - 2a )\|a  ) + log(\|x  + a   + \|a  )
+--R     + 
+--R              +-------+    +--+
+--R              | n    n     | n
+--R       - log(\|x  + a   - \|a  ) - n log(x) + log(- 1)
+--R  /
+--R       +--+
+--R       | n
+--R     n\|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+ff1:=complexNormalize ee1
+--R
+--R        n log(a) + 4log(- 1)
+--R   (7)  --------------------
+--R              +----------+
+--R              |  n log(a)
+--R           2n\|%e
+--R                                                     Type: Expression Integer
+--E
+
+--S 22     14:329 Schaums and Axiom differ by a constant
+gg1:=explog ff1
+--R
+--R        n log(a) + 4log(- 1)
+--R   (8)  --------------------
+--R                  +--+
+--R                  | n
+--R               2n\|a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.330~~~~~$\displaystyle
@@ -140,7 +356,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 14
+--S 23
 aa:=integrate(1/(x*(x^n-a^n)),x)
 --R 
 --R
@@ -151,6 +367,79 @@ aa:=integrate(1/(x*(x^n-a^n)),x)
 --R                      n a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=1/(n*a^n)*log((x^n-a^n)/x^n)
+--R
+--R             n    n
+--R            x  - a
+--R        log(-------)
+--R                n
+--R               x
+--R   (2)  ------------
+--R               n
+--R            n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R                                    n    n
+--R              n log(x)    n        x  - a
+--R        log(%e         - a ) - log(-------) - n log(x)
+--R                                       n
+--R                                      x
+--R   (3)  ----------------------------------------------
+--R                                n
+--R                             n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+dd:=expandLog cc
+--R
+--R              n log(x)    n         n         n    n
+--R        log(%e         - a ) + log(x ) - log(x  - a ) - n log(x)
+--R   (4)  --------------------------------------------------------
+--R                                     n
+--R                                  n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (5)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 28
+ee:=explog dd
+--R
+--R             n
+--R        log(x ) - n log(x)
+--R   (6)  ------------------
+--R                  n
+--R               n a
+--R                                                     Type: Expression Integer
+--E
+
+--S 29
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (7)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 30     14:330 Schaums and Axiom agree
+ff:=logpow ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.331~~~~~$\displaystyle
@@ -161,7 +450,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 14
+--S 31
 aa:=integrate(x^(n-1)/(x^n-a^n),x)
 --R 
 --R
@@ -171,6 +460,42 @@ aa:=integrate(x^(n-1)/(x^n-a^n),x)
 --R                  n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 32
+bb:=1/n*log(x^n-a^n)
+--R
+--R             n    n
+--R        log(x  - a )
+--R   (2)  ------------
+--R              n
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+cc:=aa-bb
+--R
+--R              n log(x)    n         n    n
+--R        log(%e         - a ) - log(x  - a )
+--R   (3)  -----------------------------------
+--R                         n
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35     14:331 Schaums and Axiom agree
+dd:=explog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.332~~~~~$\displaystyle
@@ -182,7 +507,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 14
+--S 36     14:332 Axiom cannot compute this integral
 aa:=integrate(x^m/(x^n-a^n)^r,x)
 --R 
 --R
@@ -204,7 +529,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 14
+--S 37     14:333 Axiom cannot compute this integral
 aa:=integrate(1/(x^m*(x^n-a^n)^r),x)
 --R 
 --R
@@ -225,7 +550,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 14
+--S 38
 aa:=integrate(1/(x*sqrt(x^n-a^n)),x)
 --R 
 --R
@@ -252,6 +577,62 @@ aa:=integrate(1/(x*sqrt(x^n-a^n)),x)
 --R                n\|a
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 39
+bb:=2/(n*sqrt(a^n))*acos(sqrt(a^n/x^n))
+--R
+--R               +--+
+--R               | n
+--R               |a
+--R        2acos( |-- )
+--R               | n
+--R              \|x
+--R   (2)  ------------
+--R             +--+
+--R             | n
+--R           n\|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+cc1:=aa.1-bb
+--R
+--R   (3)
+--R                    +---------------+                      +----+
+--R        +--+      n |  n log(x)    n       n log(x)     n  |   n
+--R        | n     2a \|%e         - a   + (%e         - 2a )\|- a
+--R       \|a  log(-------------------------------------------------)
+--R                                      n log(x)
+--R                                    %e
+--R     + 
+--R                       +--+
+--R           +----+      | n
+--R           |   n       |a
+--R       - 2\|- a  acos( |-- )
+--R                       | n
+--R                      \|x
+--R  /
+--R       +----+ +--+
+--R       |   n  | n
+--R     n\|- a  \|a
+--R                                                     Type: Expression Integer
+--E
+
+--S 41     14:334 Axiom cannot simplify this expression
+cc2:=aa.2-bb
+--R
+--R               +--+ +---------------+           +--+
+--R               | n  |  n log(x)    n            | n
+--R              \|a  \|%e         - a             |a
+--R        2atan(-----------------------) - 2acos( |-- )
+--R                          n                     | n
+--R                         a                     \|x
+--R   (4)  ---------------------------------------------
+--R                              +--+
+--R                              | n
+--R                            n\|a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.335~~~~~$\displaystyle
@@ -269,7 +650,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 14
+--S 42     14:335 Axiom cannot compute this integral
 aa:=integrate(x^(p-1)/(x^(2*m)+a^(2*m)),x)
 --R 
 --R
@@ -299,7 +680,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 14
+--S 43     14:336 Axiom cannot compute this integral
 aa:=integrate(x^(p-1)/(x^(2*m)-a^(2*m)),x)
 --R 
 --R
@@ -333,7 +714,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 14
+--S 44     14:337 Axiom cannot compute this integral
 aa:=integrate(x^(p-1)/(x^(2*m+1)+a^(2*m+1)),x)
 --R 
 --R
@@ -369,7 +750,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 14
+--S 45     14:338 Axiom cannot compute this integral
 aa:=integrate(x^(p-1)/(x^(2*m+1)-a^(2*m+1)),x)
 --R 
 --R
